Skip to main content
GET
/
apps
/
{appId}
/
paper-trading
/
accounts
/
{accountId}
Get a paper trading account
curl --request GET \
  --url https://api.agg.market/apps/{appId}/paper-trading/accounts/{accountId} \
  --header 'x-app-api-key: <api-key>'
{
  "id": "<string>",
  "appId": "<string>",
  "name": "<string>",
  "externalId": "<string>",
  "currency": "<string>",
  "startingBalanceRaw": "<string>",
  "startingBalance": 123,
  "cashBalanceRaw": "<string>",
  "cashBalance": 123,
  "realizedPnlRaw": "<string>",
  "realizedPnl": 123,
  "kycStatus": "verified",
  "kycVerified": true,
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

x-app-api-key
string
header
required

App-scoped API key for programmatic app management.

Path Parameters

appId
string
required
accountId
string
required

Response

200

id
string
required
appId
string
required
name
string | null
required
externalId
string | null
required
currency
string
required
startingBalanceRaw
string
required
startingBalance
number
required
cashBalanceRaw
string
required
cashBalance
number
required
realizedPnlRaw
string
required
realizedPnl
number
required
kycStatus
enum<string>
required
Available options:
verified
kycVerified
enum<boolean>
required
Available options:
true
status
enum<string>
required
Available options:
active,
archived
createdAt
string
required
updatedAt
string
required